List MiniMax video tasks
curl --request GET \
--url https://gengen.farm/api/gengen/v1/contents/generations/tasks \
--header 'Authorization: Bearer <token>'import requests
url = "https://gengen.farm/api/gengen/v1/contents/generations/tasks"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://gengen.farm/api/gengen/v1/contents/generations/tasks', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));{
"items": [
{
"id": "<string>",
"model": "<string>",
"status": "pending",
"outputs": {
"videos": [
"<string>"
],
"images": [
"<string>"
]
},
"createdAt": "2023-11-07T05:31:56Z",
"updatedAt": "2023-11-07T05:31:56Z",
"failureReason": "<string>"
}
],
"page_num": 123,
"page_size": 123,
"total": 123
}{
"error": {
"code": "<string>",
"message": "<string>",
"params": {}
}
}{
"error": {
"code": "<string>",
"message": "<string>",
"params": {}
}
}Video API
List MiniMax video tasks
List workspace task records and filter them by a MiniMax public model ID.
GET
/
contents
/
generations
/
tasks
List MiniMax video tasks
curl --request GET \
--url https://gengen.farm/api/gengen/v1/contents/generations/tasks \
--header 'Authorization: Bearer <token>'import requests
url = "https://gengen.farm/api/gengen/v1/contents/generations/tasks"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://gengen.farm/api/gengen/v1/contents/generations/tasks', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));{
"items": [
{
"id": "<string>",
"model": "<string>",
"status": "pending",
"outputs": {
"videos": [
"<string>"
],
"images": [
"<string>"
]
},
"createdAt": "2023-11-07T05:31:56Z",
"updatedAt": "2023-11-07T05:31:56Z",
"failureReason": "<string>"
}
],
"page_num": 123,
"page_size": 123,
"total": 123
}{
"error": {
"code": "<string>",
"message": "<string>",
"params": {}
}
}{
"error": {
"code": "<string>",
"message": "<string>",
"params": {}
}
}Authorizations
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Query Parameters
Available options:
minimax-h3, minimax-h3-max Available options:
queued, running, cancelled, succeeded, failed Required range:
1 <= x <= 500Required range:
1 <= x <= 500